<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStationTypeBinMonitorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('station_type_bin_monitors', function (Blueprint $table) {
            $table->id();
            $table->integer('station_id')->index();
            $table->integer('bin_row_length')->default(4);
            $table->integer('bin_column_length')->default(5);
            $table->integer('bin_wall_amount')->default(2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('station_type_bin_monitors');
    }
}
